TSVCONNTUNNEL(3ts)

NAME
TSVConnTunnel -

SYNOPSIS

#include <ts/ts.h>

    TSReturnCode TSVConnTunnel(TSVConn svc)

DESCRIPTION

Set the SSL connection svc to convert to a blind tunnel. Can be called from the TS_VCONN_PRE_ACCEPT_HOOK or the TS_SSL_SNI_HOOK/TS_SSL_CERT_HOOK.

For this to work from the TS_SSL_SNI_HOOK/TS_SSL_CERT_HOOK, either the server must be running openssl 1.0.2 or a version of openssl 1.0.1 with the appropriate patch installed.

COPYRIGHT
2014, dev@trafficserver.apache.org